Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Class UpdateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.tpm.management.configuration.UpdateException

All Implemented Interfaces:
  Serializable

public class UpdateException
extends Exception

See Also:
  Serialized Form

Constructor Summary
`UpdateException()` Constructs a UpateException.
`UpdateException(Exception e)` Constructs a Exception with a nested exception
`UpdateException(String msg)` Constructs a UpdateException with the specified message text.

Method Summary
`Throwable` | `getNestedException()` Deprecated.
`void` | `setNestedException(Throwable nested)` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateException

    public UpdateException(String msg)

  Constructs a UpdateException with the specified message text.

Parameters:
  `msg` - Message text.

### UpdateException

    public UpdateException()

  Constructs a UpateException.

### UpdateException

    public UpdateException(Exception e)

  Constructs a Exception with a nested exception

Method Detail

### setNestedException

    public final void setNestedException(Throwable nested)

  Deprecated.

  Set nested exception. This method should not be called if B2BException is created using constructor that takes Throwable

### getNestedException

    public final Throwable getNestedException()

  Deprecated.

  Get nested exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD